Index: modules/uoa-services-portal/trunk/portal-2/src/app/utils/fetchEntitiesClasses/fetchProjects.class.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/utils/fetchEntitiesClasses/fetchProjects.class.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/utils/fetchEntitiesClasses/fetchProjects.class.ts	(revision 49174)
@@ -3,6 +3,8 @@
 import {SearchUtilsClass } from '../../searchPages/searchUtils/searchUtils.class';
 
 export class FetchProjects{
+  private errorCodes: ErrorCodes;
+
   public results =[];
 
   public filters; // for getResultsForOrganizations
@@ -14,8 +16,8 @@
 
 
   constructor (private _searchProjectsService: SearchProjectsService) {
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
 
   }
 
@@ -34,8 +36,8 @@
       parameters = "q=" + keyword;
     }
 
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
 
   this.subResults = this._searchProjectsService.searchProjects(parameters, null, page, size, []).subscribe(
         data => {
@@ -43,10 +45,10 @@
             console.info("search Projects: [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
             this.results = data[1];
 
-             var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.DONE;
+             //var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = this.errorCodes.DONE;
             if(this.searchUtils.totalResults == 0 ){
-              this.searchUtils.status = errorCodes.NONE;
+              this.searchUtils.status = this.errorCodes.NONE;
             }
          },
         err => {
@@ -55,15 +57,22 @@
             // if( ){
             //   this.searchUtils.status = ErrorCodes.ERROR;
             // }
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.ERROR;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            //this.searchUtils.status = errorCodes.ERROR;
+            if(err.status == '404') {
+              this.searchUtils.status = this.errorCodes.NOT_FOUND;
+            } else if(err.status == '500') {
+              this.searchUtils.status = this.errorCodes.ERROR;
+            } else {
+              this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+            }
          }
     );
   }
 
   public getResultsForDataproviders(id:string, page: number, size: number){
-      var errorCodes:ErrorCodes = new ErrorCodes();
-      this.searchUtils.status = errorCodes.LOADING;
+      //var errorCodes:ErrorCodes = new ErrorCodes();
+      this.searchUtils.status = this.errorCodes.LOADING;
 
     this._searchProjectsService.getProjectsforDataProvider(id, page, size).subscribe(
         data => {
@@ -71,10 +80,10 @@
             console.info("search Projects for Dataproviders: [Id:"+id+" ]  [total results:"+this.searchUtils.totalResults+"]");
             this.results = data[1];
 
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.DONE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = this.errorCodes.DONE;
             if(this.searchUtils.totalResults == 0 ){
-              this.searchUtils.status = errorCodes.NONE;
+              this.searchUtils.status = this.errorCodes.NONE;
             }
         },
         err => {
@@ -83,15 +92,22 @@
             // if( ){
             //   this.searchUtils.status = ErrorCodes.ERROR;
             // }
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.ERROR;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            //this.searchUtils.status = errorCodes.ERROR;
+            if(err.status == '404') {
+              this.searchUtils.status = this.errorCodes.NOT_FOUND;
+            } else if(err.status == '500') {
+              this.searchUtils.status = this.errorCodes.ERROR;
+            } else {
+              this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+            }
         }
     );
   }
 
   public getNumForEntity(entity: string, id:string) {
-      var errorCodes:ErrorCodes = new ErrorCodes();
-      this.searchUtils.status = errorCodes.LOADING;
+      //var errorCodes:ErrorCodes = new ErrorCodes();
+      this.searchUtils.status = this.errorCodes.LOADING;
 
       if(id != "" && entity != "") {
 
@@ -99,10 +115,10 @@
               data => {
                   this.searchUtils.totalResults = data;
 
-                  var errorCodes:ErrorCodes = new ErrorCodes();
-                  this.searchUtils.status = errorCodes.DONE;
+                  //var errorCodes:ErrorCodes = new ErrorCodes();
+                  this.searchUtils.status = this.errorCodes.DONE;
                   if(this.searchUtils.totalResults == 0 ){
-                    this.searchUtils.status = errorCodes.NONE;
+                    this.searchUtils.status = this.errorCodes.NONE;
                   }
               },
               err => {
@@ -111,8 +127,16 @@
                   // if( ){
                   //   this.searchUtils.status = ErrorCodes.ERROR;
                   // }
-                  var errorCodes:ErrorCodes = new ErrorCodes();
-                  this.searchUtils.status = errorCodes.ERROR;
+                  //var errorCodes:ErrorCodes = new ErrorCodes();
+                  //this.searchUtils.status = errorCodes.ERROR;
+
+                  if(err.status == '404') {
+                    this.searchUtils.status = this.errorCodes.NOT_FOUND;
+                  } else if(err.status == '500') {
+                    this.searchUtils.status = this.errorCodes.ERROR;
+                  } else {
+                    this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+                  }
               }
           );
       }
@@ -119,8 +143,8 @@
   }
 
   public getResultsForOrganizations(organizationId:string, filterquery:string, page: number, size: number, refineFields:string[]){
-      var errorCodes:ErrorCodes = new ErrorCodes();
-      this.searchUtils.status = errorCodes.LOADING;
+      //var errorCodes:ErrorCodes = new ErrorCodes();
+      this.searchUtils.status = this.errorCodes.LOADING;
 
     this._searchProjectsService.getProjectsForOrganizations(organizationId,filterquery, page, size,refineFields).subscribe(
         data => {
@@ -156,10 +180,10 @@
               console.log("  this.funders:"+   this.funders);
 
             }
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.DONE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = this.errorCodes.DONE;
             if(this.searchUtils.totalResults == 0 ){
-              this.searchUtils.status = errorCodes.NONE;
+              this.searchUtils.status = this.errorCodes.NONE;
             }
         },
         err => {
@@ -168,8 +192,15 @@
             // if( ){
             //   this.searchUtils.status = ErrorCodes.ERROR;
             // }
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.ERROR;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            //this.searchUtils.status = errorCodes.ERROR;
+            if(err.status == '404') {
+              this.searchUtils.status = this.errorCodes.NOT_FOUND;
+            } else if(err.status == '500') {
+              this.searchUtils.status = this.errorCodes.ERROR;
+            } else {
+              this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+            }
         }
     );
   }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/utils/fetchEntitiesClasses/fetchDatasets.class.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/utils/fetchEntitiesClasses/fetchDatasets.class.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/utils/fetchEntitiesClasses/fetchDatasets.class.ts	(revision 49174)
@@ -5,6 +5,8 @@
 import {Subject} from 'rxjs/Subject';
 
 export class FetchDatasets{
+  private errorCodes: ErrorCodes;
+
   public results =[];
   public requestComplete: Subject<void>;
 
@@ -16,8 +18,8 @@
 
   constructor ( private _searchDatasetsService: SearchDatasetsService ) {
 
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
 
     this.requestComplete = new Subject<void>();
   }
@@ -50,8 +52,8 @@
       }
     }
 
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
 
     this.subResults = this._searchDatasetsService.searchDatasets(parameters,null, page, size, []).subscribe(
         data => {
@@ -59,10 +61,10 @@
             console.info("search Research Data: [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
             this.results = data[1];
 
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.DONE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = this.errorCodes.DONE;
             if(this.searchUtils.totalResults == 0 ){
-              this.searchUtils.status = errorCodes.NONE;
+              this.searchUtils.status = this.errorCodes.NONE;
             }
          },
         err => {
@@ -71,15 +73,22 @@
             // if( ){
             //   this.searchUtils.status = ErrorCodes.ERROR;
             // }
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.ERROR;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            //this.searchUtils.status = errorCodes.ERROR;
+            if(err.status == '404') {
+              this.searchUtils.status = this.errorCodes.NOT_FOUND;
+            } else if(err.status == '500') {
+              this.searchUtils.status = this.errorCodes.ERROR;
+            } else {
+              this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+            }
          }
     );
   }
 
 public getNumForEntity(entity:string, id:string){
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
 
 
     if(id != "" && entity != "") {
@@ -87,10 +96,10 @@
             data => {
                 this.searchUtils.totalResults = data;
 
-                var errorCodes:ErrorCodes = new ErrorCodes();
-                this.searchUtils.status = errorCodes.DONE;
+                //var errorCodes:ErrorCodes = new ErrorCodes();
+                this.searchUtils.status = this.errorCodes.DONE;
                 if(this.searchUtils.totalResults == 0 ){
-                  this.searchUtils.status = errorCodes.NONE;
+                  this.searchUtils.status = this.errorCodes.NONE;
                 }
             },
             err => {
@@ -99,8 +108,15 @@
                 // if( ){
                 //   this.searchUtils.status = ErrorCodes.ERROR;
                 // }
-                var errorCodes:ErrorCodes = new ErrorCodes();
-                this.searchUtils.status = errorCodes.ERROR;
+                //var errorCodes:ErrorCodes = new ErrorCodes();
+                //this.searchUtils.status = errorCodes.ERROR;
+                if(err.status == '404') {
+                  this.searchUtils.status = this.errorCodes.NOT_FOUND;
+                } else if(err.status == '500') {
+                  this.searchUtils.status = this.errorCodes.ERROR;
+                } else {
+                  this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+                }
             }
         );
     }
@@ -107,8 +123,8 @@
 }
 
 public getResultsForEntity(entity:string, id:string, page: number, size: number){
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
 
   var parameters = "";
 
@@ -124,10 +140,10 @@
               console.info("search Research Data for "+entity+": [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
               this.results = data[1];
 
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.DONE;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              this.searchUtils.status = this.errorCodes.DONE;
               if(this.searchUtils.totalResults == 0 ){
-                this.searchUtils.status = errorCodes.NONE;
+                this.searchUtils.status = this.errorCodes.NONE;
               }
           },
           err => {
@@ -136,8 +152,15 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
           }
       );
   }
@@ -144,8 +167,8 @@
 }
 
 public getResultsForDataproviders(id:string, resultsFrom:string, page: number, size: number){
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
 
   var parameters;
   if(resultsFrom == "collectedFrom") {
@@ -162,10 +185,10 @@
               console.info("search Research Data for Dataproviders: [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
               this.results = data[1];
 
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.DONE;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              this.searchUtils.status = this.errorCodes.DONE;
               if(this.searchUtils.totalResults == 0 ){
-                this.searchUtils.status = errorCodes.NONE;
+                this.searchUtils.status = this.errorCodes.NONE;
               }
           },
           err => {
@@ -174,8 +197,15 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
           }
       );
   }
@@ -182,8 +212,8 @@
 }
 
 public getAggregatorResults(id:string, page: number, size: number){
-  var errorCodes:ErrorCodes = new ErrorCodes();
-  this.searchUtils.status = errorCodes.LOADING;
+  //var errorCodes:ErrorCodes = new ErrorCodes();
+  this.searchUtils.status = this.errorCodes.LOADING;
 
   this.subResults = this._searchDatasetsService.searchAggregators(id, '&fq=collectedfromdatasourceid exact "'+id+'"',"&refine=true&fields=resulthostingdatasource" , page, size).subscribe(
       data => {
@@ -190,23 +220,32 @@
           this.results = data;
           this.searchUtils.totalResults = this.results.length;
 
-          var errorCodes:ErrorCodes = new ErrorCodes();
-          this.searchUtils.status = errorCodes.DONE;
+          //var errorCodes:ErrorCodes = new ErrorCodes();
+          this.searchUtils.status = this.errorCodes.DONE;
           if(this.searchUtils.totalResults == 0 ){
-            this.searchUtils.status = errorCodes.NONE;
+            this.searchUtils.status = this.errorCodes.NONE;
           }
 
           this.requestComplete.complete();
       },
       err => {
-          this.requestComplete.complete();
           console.log(err);
+          console.info("status: "+err.status);
            //TODO check erros (service not available, bad request)
           // if( ){
           //   this.searchUtils.status = ErrorCodes.ERROR;
           // }
-          var errorCodes:ErrorCodes = new ErrorCodes();
-          this.searchUtils.status = errorCodes.ERROR;
+          //var errorCodes:ErrorCodes = new ErrorCodes();
+          //this.searchUtils.status = errorCodes.ERROR;
+          if(err.status == '404') {
+            this.searchUtils.status = this.errorCodes.NOT_FOUND;
+          } else if(err.status == '500') {
+            this.searchUtils.status = this.errorCodes.ERROR;
+          } else {
+            this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+          }
+
+          this.requestComplete.complete();
       }
   );
 }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/tabPaging.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/tabPaging.component.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/tabPaging.component.ts	(revision 49174)
@@ -0,0 +1,24 @@
+import {Component, Input, Output, EventEmitter} from '@angular/core';
+
+@Component({
+    selector: 'tabPaging',
+    template: `
+        <div class="uk-panel" *ngIf="!showAll && length > 10">
+            <a (click)="changeShowAll.emit({value: true});">
+                <div class="uk-float-right">view all {{length}}</div>
+            </a>
+        </div>
+    `
+    })
+
+export class TabPagingComponent {
+    @Input() showAll: boolean;
+    @Input() length: number;
+    @Output() changeShowAll: EventEmitter<any> = new EventEmitter();
+
+    constructor () {
+    }
+
+    ngOnInit() {
+    }
+}
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/landing.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/landing.module.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/landing.module.ts	(revision 49174)
@@ -0,0 +1,28 @@
+/* This module contains all common components for all landing pages */
+
+import { NgModule}            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+import { RouterModule } from '@angular/router';
+
+import {TabPagingComponent} from './tabPaging.component';
+import {ShowTitleComponent} from './showTitle.component';
+import {AddThisComponent} from './addThis.component';
+import {PiwikServiceModule} from '../../utils/piwik/piwikService.module';
+import {PreviousRouteRecorder} from'../../utils/piwik/previousRouteRecorder.guard';
+
+@NgModule({
+  imports: [
+    CommonModule, FormsModule, RouterModule, PiwikServiceModule
+  ],
+  declarations: [
+      TabPagingComponent,  ShowTitleComponent, AddThisComponent
+  ],
+  providers:[
+    PreviousRouteRecorder
+   ],
+  exports: [
+     TabPagingComponent, ShowTitleComponent, AddThisComponent
+    ]
+})
+export class LandingModule { }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/searchingProjectsInTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/searchingProjectsInTab.component.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/searchingProjectsInTab.component.ts	(revision 49174)
@@ -0,0 +1,122 @@
+import {Component, Input} from '@angular/core';
+import {ActivatedRoute} from '@angular/router';
+
+import { FetchProjects } from '../../utils/fetchEntitiesClasses/fetchProjects.class';
+import { SearchProjectsService } from '../../services/searchProjects.service';
+
+import {OpenaireProperties, ErrorCodes} from '../../utils/properties/openaireProperties';
+import {StringUtils} from '../../utils/string-utils.class';
+import {RouterHelper} from '../../utils/routerHelper.class';
+
+@Component({
+    selector: 'searchingProjectsTab',
+    template: `
+        <!--div *ngIf="fetchProjects.searchUtils.totalResults == 0" class = "uk-alert">
+            No projects available
+        </div-->
+        <!--div *ngIf="fetchProjects.searchUtils.status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">No projects available</div>
+        <div *ngIf="fetchProjects.searchUtils.status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
+        <div *ngIf="fetchProjects.searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
+        <div *ngIf="fetchProjects.searchUtils.status == errorCodes.LOADING" class="uk-animation-fade uk-margin-large-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div-->
+        <errorMessages [status]="[fetchProjects.searchUtils.status]" [type]="'projects'"></errorMessages>
+
+        <div *ngIf="fetchProjects.searchUtils.totalResults > 0">
+            <div class = "uk-text-right" *ngIf = "fetchProjects.searchUtils.totalResultsNoFilters > 10">
+                <a  [queryParams]="routerHelper.createQueryParams(['organization', 'or'], [organizationId, 'and'])"
+                    routerLinkActive="router-link-active" [routerLink]="linkToSearchProjects" class="uk-button uk-button-text">
+                    View all {{fetchProjects.searchUtils.totalResultsNoFilters}} results
+                </a>
+			      </div>
+            <div class= "searchPaging uk-panel uk-margin-top">
+              <div class="uk-clearfix">
+                <div class="uk-float-right" *ngIf="fetchProjects.results  && fetchProjects.searchUtils.totalResults > fetchProjects.searchUtils.size">
+                  <paging-no-load [currentPage]="page" [totalResults]="fetchProjects.searchUtils.totalResults" [term]="keyword" [size]="size"  (pageChange)="pageChange($event)"> </paging-no-load>
+                </div>
+              </div>
+              <ul  *ngIf = "fetchProjects.funders.length > 1" class="uk-list uk-list-divider uk-margin-remove">
+                <li  *ngFor="let filter of fetchProjects.filters "  >
+                    <!--div class="text-bold">Filter by {{filter.title}}:</div-->
+                    <span *ngFor = "let value of filter.values"  class = "uk-animation-fade">
+                       <input [(ngModel)]="value.selected" type="checkbox"  (ngModelChange)="filterChange(value.selected)" />
+                       <span title = "{{value.name}}"> {{value.name}}</span><span *ngIf = "showResultCount === true" > ({{value.number}})</span>
+                    </span>
+                </li>
+
+                <li *ngIf = "fetchProjects.searchUtils.totalResults !=fetchProjects.searchUtils.totalResultsNoFilters "> Filtered {{fetchProjects.searchUtils.totalResults}} results of {{fetchProjects.searchUtils.totalResultsNoFilters}} total results</li>
+                <li></li>
+              </ul>
+
+              <tab-result  [(results)]="fetchProjects.results" [(status)]= "fetchProjects.searchUtils.status"
+                            type="project" urlParam="projectId" [showLoading] = true [showOrganizations] = false>
+              </tab-result>
+            </div>
+        </div>
+    `
+})
+
+export class SearchingProjectsTabComponent {
+    @Input() fetchProjects : FetchProjects;
+    @Input()  organizationId:string = "";
+    public page :number = 1;
+    public size :number = 10;
+    public linkToSearchProjects: string;
+
+    public routerHelper:RouterHelper = new RouterHelper();
+    public errorCodes:ErrorCodes = new ErrorCodes();
+
+    private filterQuery:string = "";
+
+    constructor (private  route: ActivatedRoute,
+                 private _searchProjectsService: SearchProjectsService) {
+    }
+
+
+    ngOnInit() {
+
+            if(this.organizationId) {
+                this.linkToSearchProjects = OpenaireProperties.getLinkToAdvancedSearchProjects();//+"?organization="+this.organizationId+"or=and";;
+                if(this.fetchProjects.searchUtils.totalResults > 0) {
+                  this.search(false,"");
+                }
+            }
+    }
+
+
+    private search(refine:boolean, filterQuery:string){
+      var refineFields:string [] = ["funder"];
+      this.fetchProjects.getResultsForOrganizations(this.organizationId, filterQuery, this.page, this.size,(refine)?refineFields:[]);
+    }
+
+    public pageChange($event) {
+      this.page=$event.value;
+      this.search(false, this.filterQuery);
+    }
+
+    public filterChange($event) {
+      console.log("Filter Changed");
+      this.updateFilters();
+      //this.search(true, this.filterQuery);
+      this.search(false, this.filterQuery);
+    }
+
+    private updateFilters (){
+      this.filterQuery = "";
+      for (let filter of this.fetchProjects.filters){
+        var filterLimits="";
+        for (let value of filter.values){
+            if(value.selected == true){
+              //filterLimits+=((filterLimits.length == 0)?'':',') +'"'+ StringUtils.URIEncode(value.id)+'"';
+              filterLimits+=((filterLimits.length == 0)?'':' or ')+filter.filterId+' exact ';
+              filterLimits+='"'+ StringUtils.URIEncode(value.id)+'"';
+             }
+        }
+        if(filterLimits.length > 0){
+          //this.filterQuery+=' and '+filter.filterId + ' exact '+ filterLimits + ' ';
+          this.filterQuery+=' and ( ' + filterLimits + ' ) ';
+        }
+
+      }
+      console.log("Filter Changed"+this.filterQuery);
+
+    }
+}
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/tabTable.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/tabTable.component.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/tabTable.component.ts	(revision 49174)
@@ -0,0 +1,93 @@
+import {Component, Input} from '@angular/core';
+import {RouterHelper} from '../../utils/routerHelper.class';
+import {OpenaireProperties} from '../../utils/properties/openaireProperties';
+//import {PagingModule} from '../utils/paging.module';
+
+@Component({
+    selector: 'tabTable',
+    template: `
+        <div *ngIf="info && info.length > pageSize" class="uk-margin">
+          <span class="uk-text-bold">{{info.length}} research results, page {{page}} of {{totalPages(info.length)}}</span>
+          <paging-no-load class="uk-float-right" [currentPage]="page" [totalResults]="info.length" [size]="pageSize" (pageChange)="updatePage($event)"></paging-no-load>
+        </div>
+
+        <table class="uk-table">
+            <!--thead>
+                <tr>
+                    <th>Title</th>
+                    <th width="20%">Trust</th>
+                </tr>
+            </thead-->
+            <tbody>
+                <tr *ngFor="let item of info.slice((page-1)*pageSize, page*pageSize)" class="{{item['class']}}">
+                    <td *ngIf="item != undefined">
+                        <!--span *ngIf="item['class'] == 'dataset'" class="glyphicon glyphicon-star" aria-hidden="true"-->
+                        <img *ngIf="item['class'] == 'publication'" class= "entityIcon" src="assets/publication.png" alt="(Publication)">
+                        <img *ngIf="item['class'] == 'dataset'" class= "entityIcon" src="assets/dataset.png" alt="(Dataset)">
+
+                        <!--/span-->
+                        <!--a *ngIf="item['url'] != '' && item['name'] != ''" href="{{item['url']}}"-->
+                        <a *ngIf="item['id'] != '' && item['name'] != '' && item['class'] == 'dataset'"
+                            [queryParams]="{datasetId: item.id}" routerLinkActive="router-link-active" routerLink="/search/dataset">
+                                {{item['name']}}
+                        </a>
+
+                        <a *ngIf="item['id'] != '' && item['name'] != '' && item['class'] == 'publication'"
+                            [queryParams]="{articleId: item.id}" routerLinkActive="router-link-active" routerLink="/search/publication">
+                        <!--a *ngIf="item['url'] != '' && item['name'] != '' && item['class'] == 'publication'"
+                            href="http://astero.di.uoa.gr:3000/search/publication?articleId={{item['id']}}"-->
+
+                                {{item['name']}}
+                        </a>
+
+                        <p *ngIf="item['id'] == '' && item['name'] != ''">{{item['name']}}</p>
+                        <span *ngIf="item['date'] != ''">
+                            ({{item['date']}})
+                        </span>
+                    </td>
+                    <td>
+                        <div *ngIf="item['trust'] != ''"  title="{{item['trust']}}%" >
+                            <div class="uk-text-center">{{item['trust']}}%</div>
+                            <progress class="uk-progress uk-margin-remove" value="{{item['trust']}}" max="100"></progress>
+                         </div>
+                        <div *ngIf="item['trust'] == ''">
+                            <p>No trust available</p>
+                        </div>
+                    </td>
+                </tr>
+            </tbody>
+        </table>
+    `
+
+    })
+
+export class TabTableComponent {
+    @Input() info: { "name": string, "url": string, "date": string, "trust": number}[];//Map<string, string[]>;
+
+    public routerHelper:RouterHelper = new RouterHelper();
+    public searchLinkToPublication: string;
+    public searchLinkToDataset: string;
+
+    public page: number = 1;
+    public pageSize: number = 10;
+
+    constructor () {
+    }
+
+    ngOnInit() {
+        this.searchLinkToPublication = OpenaireProperties.getsearchLinkToPublication();
+        this.searchLinkToDataset = OpenaireProperties.getsearchLinkToDataset();
+    }
+
+    totalPages(totalResults: number): number {
+      let totalPages:any = totalResults/this.pageSize;
+      if(!(Number.isInteger(totalPages))) {
+          totalPages = (parseInt(totalPages, this.pageSize) + 1);
+      }
+      return totalPages;
+    }
+
+    updatePage($event) {
+      this.page = $event.value;
+    }
+}
